Click or drag to resize

BrepRebuildTrimsForV2 Method

No support is available for this function.

Expert user function used by MakeValidForV2 to convert trim curves from one surface to its NURBS form. After calling this function, you need to change the surface of the face to a NurbsSurface.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
public void RebuildTrimsForV2(
	BrepFace face,
	NurbsSurface nurbsSurface


Type: Rhino.GeometryBrepFace
Face whose underlying surface has a parameterization that is different from its NURBS form.
Type: Rhino.GeometryNurbsSurface
NURBS form of the face's underlying surface.
Don't call this function unless you know exactly what you are doing.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.2
See Also